//+------------------------------------------------------------------+
//|  TRO_ATR_LEVELS3                                                 | 
//|                                                                  | 
//|   Copyright  2009, Avery T. Horton, Jr. aka TheRumpledOne       |
//|                                                                  |
//|   PO BOX 43575, TUCSON, AZ 85733                                 |
//|                                                                  |
//|   GIFTS AND DONATIONS ACCEPTED                                   | 
//|   All my indicators should be considered donationware. That is   |
//|   you are free to use them for your personal use, and are        |
//|   under no obligation to pay for them. However, if you do find   |
//|   this or any of my other indicators help you with your trading  |
//|   then any Gift or Donation as a show of appreciation is         |
//|   gratefully accepted.                                           |
//|                                                                  |
//|   Gifts or Donations also keep me motivated in producing more    |
//|   great free indicators. :-)                                     |
//|                                                                  |
//|   PayPal - THERUMPLEDONE@GMAIL.COM                               |  
//+------------------------------------------------------------------+ 
//| Use http://therumpledone.mbtrading.com/fx/ as your forex broker  |  
//| ...tell them therumpledone sent you!                             |  
//+------------------------------------------------------------------+ 
#property  copyright "Copyright  2009, Avery T. Horton, Jr. aka TRO" 
#property  link      "http://www.therumpledone.com/" 
 
           
#property indicator_separate_window
#property indicator_buffers 2

#property indicator_color1 Violet
#property indicator_color2 DodgerBlue

//---- input parameters

extern int    ATRPeriod = 5;

//---- buffers

double P1Buffer[];
double P2Buffer[];

double xATR;

double  high ,low, range ;

 
string short_name;
 
string symbol, tChartPeriod;  
int    digits, period , j=0, upHits, dnHits, passes ;    
double point ;

string Obj0001,Obj0002,Obj0003,Obj0004,Obj0005,Obj0006,Obj0007,Obj0008,Obj0009,Obj0010,Obj0011;  

//+------------------------------------------------------------------+
int init()
{
  
   period       = Period() ;  
   digits       =  Digits ;   
   point        =  Point ;


   if(digits == 5 || digits == 3) { digits = digits - 1 ; point = point * 10 ; }   
    
        
   short_name="ATR("+ATRPeriod+")";
 
   IndicatorShortName(short_name);
 
   SetIndexBuffer(0, P1Buffer);
   SetIndexBuffer(1, P2Buffer);

   SetIndexStyle(0, DRAW_LINE,STYLE_SOLID);
   SetIndexStyle(1, DRAW_HISTOGRAM,STYLE_SOLID);
 
   SetLevelStyle(STYLE_DOT, 1, DimGray) ;
   SetLevelValue(1,50*point);
   SetLevelValue(2,20*point);   
   SetLevelValue(3,10*point);
   SetLevelValue(4,75*point);
   SetLevelValue(5,30*point);
   SetLevelValue(6,40*point);
   SetLevelValue(7,100*point);     
   
   return(0);
}
       
//+------------------------------------------------------------------+
int deinit()
{
 

   return(0);
}
  
//+------------------------------------------------------------------+

int start()
{

   int i, dayi, counted_bars = IndicatorCounted();
//---- check for possible errors
   if(counted_bars < 0) 
       return(-1);
//---- last counted bar will be recounted
   if(counted_bars > 0) 
       counted_bars--;  
   int limit = Bars - counted_bars;

 
   for(i = limit - 1; i >= 0; i--)
   {
      P1Buffer[i]  = iATR(NULL,period, ATRPeriod, i) ;
      P2Buffer[i]  = iHigh(NULL,period,i) - iLow(NULL,period,i) ;
   }
 

return(0);   
}

  
//+------------------------------------------------------------------+

 