//+------------------------------------------------------------------+ 
//|   TRO_Jacko_Trend_Plot                                           | 
//|                                                                  | 
//|   Copyright  2009, Avery T. Horton, Jr. aka TheRumpledOne       |
//|                                                                  |
//|   PO BOX 43575, TUCSON, AZ 85733                                 |
//|                                                                  |
//|   GIFTS AND DONATIONS ACCEPTED                                   | 
//|   All my indicators should be considered donationware. That is   |
//|   you are free to use them for your personal use, and are        |
//|   under no obligation to pay for them. However, if you do find   |
//|   this or any of my other indicators help you with your trading  |
//|   then any Gift or Donation as a show of appreciation is         |
//|   gratefully accepted.                                           |
//|                                                                  |
//|   Gifts or Donations also keep me motivated in producing more    |
//|   great free indicators. :-)                                     |
//|                                                                  |
//|   PayPal - THERUMPLEDONE@GMAIL.COM                               |  
//+------------------------------------------------------------------+ 
//| Use http://therumpledone.mbtrading.com/fx/ as your forex broker  |  
//| ...tell them therumpledone sent you!                             |  
//+------------------------------------------------------------------+ 

#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 Red
//---- indicator parameters

extern bool Show.Comment = true ;
extern bool Show.HHLL  = true ;

extern int  myBars      = 300;

extern int   Trend_Style = 0 ; 
extern int   Trend_Width = 2 ;


extern color colorUp =  Green ;
extern color colorEq =  Yellow ;
extern color colorDn =  Red ;


color colorTrend  = Yellow;
string symbol, tChartPeriod,  tShortName ;  
int    digits, period, digits2  ; 
double point ;
 

int xBarsPerChart , barsToCount, hh, ll   ; 
int xFirstVisibleBar  ; 
double xPriceMax     ; 
double xPriceMin     ;

double Open0, Open1, Open2, Close0, Close1, Close2, High0, High1, High2, Low0,  Low1, Low2, Range0, Range1, Range2, AvgRng3 ;
		
string OBJ001, tTrend ;

   double MD, PM, L1,xLow,H1,high,xHigh, cVal, eVal ;
   int D0,D1,st1, tt;
   
   double  OP,CL,HI,LO;
color HLColor, CLColor ;

//+------------------------------------------------------------------+
int init()
{ 
    period = Period() ;     
//   tChartPeriod =  TimeFrameToString(period) ;
   symbol       =  Symbol() ;
   digits       =  Digits ;   
   point        =  Point ;

   if(digits == 5 || digits == 3) { digits = digits - 1 ; point = point * 10 ; }   
       
   OBJ001 = "JackoTREND1" ;
   
  
    
   return(0);
  }
//+------------------------------------------------------------------+  
int deinit() {

	ObjectDelete(OBJ001);
	if(Show.Comment ){ Comment( "" ) ; } 
	
}
//+------------------------------------------------------------------+
int start()
{   
    deinit() ;

   xBarsPerChart    = WindowBarsPerChart() ; 
   xFirstVisibleBar = WindowFirstVisibleBar() ; 
   xPriceMax        = WindowPriceMax() ; 
   xPriceMin        = WindowPriceMin() ;
  
if(myBars == 0) { barsToCount = WindowBarsPerChart() ; } else { barsToCount = myBars; }


   Open0  = iOpen(symbol,period,barsToCount) ; 
   Close0 = iClose(symbol,period,0) ;   
   

   if( Close0 >= Open0 ) {   colorTrend = colorUp; tTrend = "UP" ; } 
   else {  colorTrend = colorDn ; tTrend = "DOWN" ; }
   
   ObjectCreate(OBJ001, OBJ_TREND, 0,Time[barsToCount],Open0,Time[0],Close0 );
   ObjectSet(OBJ001, OBJPROP_COLOR, colorTrend);
   ObjectSet(OBJ001, OBJPROP_STYLE, Trend_Style);
   ObjectSet(OBJ001, OBJPROP_WIDTH, Trend_Width);
   
   if(Show.Comment )
   {	   
   Comment(  
   "Bars Used    =  ", barsToCount, " ",
   "Price Open  = ", DoubleToStr(Open0   , digits  ) , " ",  
   "Price Close = ", DoubleToStr(Close0   , digits  ) , "\n",  
   "Price Max   = ", DoubleToStr(xPriceMax   , digits  ) , " ", 
   "Price Min   = ", DoubleToStr(xPriceMin   , digits  ) , "\n",
   "A 5 year old would say: TREND IS ", tTrend , "\n",
   "");
   }
   
if( Show.HHLL ) 
{
    OP = iOpen(symbol,period, barsToCount) ; 
    CL = iClose(symbol,period, 0) ; 
    HI = iHigh(symbol,period, 0) ; 
    LO = iLow(symbol,period, 0) ; 
   
   int hh = Highest(symbol,period,MODE_HIGH,barsToCount,1);
   int ll = Lowest(symbol,period,MODE_LOW,barsToCount,1); 

   double xRES = iHigh(symbol,period,hh) ;  
   double xSUP = iLow(symbol,period,ll) ; 
   
   if( ll < hh ) { tt = ll ; cVal = xSUP ; eVal = LO ; HLColor = colorDn  ;   } 
   else          { tt = hh ; cVal = xRES ; eVal = HI ; HLColor = colorUp ;  } 
 


    ObjectCreate("trnHLtoC",OBJ_TREND,0,0,0,0,0);
    ObjectSet("trnHLtoC",OBJPROP_COLOR,Orange); 
    ObjectSet("trnHLtoC",OBJPROP_RAY,false);    
    ObjectSet("trnHLtoC",OBJPROP_WIDTH,2); 
         
    ObjectCreate("trnHtoL",OBJ_TREND,0,0,0,0,0);     
    ObjectSet("trnHtoL",OBJPROP_RAY,false);     
    ObjectSet("trnHtoL",OBJPROP_WIDTH,2); 

    ObjectMove("trnHtoL",0,Time[ll],xSUP); // ("HtoL",1,Time[st1],s1);
    ObjectMove("trnHtoL",1,Time[hh],xRES); //  ("HtoL",0,Time[st2],s2)

    ObjectSet("trnHtoL",OBJPROP_COLOR,HLColor);  
    
    ObjectMove("trnHLtoC",0,Time[tt],cVal);
    ObjectMove("trnHLtoC",1,Time[0],eVal);
}

WindowRedraw() ;

return(0);   
}

//+------------------------------------------------------------------+


  
   